## Index

### Classes

- AbstractVisitor
- BaseVisitor
- Context
- Writer

### Interfaces

- Visitor

### Type aliases

- Callbacks
- ObjectMap
- VisitorCallback

## Type aliases

### Callbacks

Callbacks: Map<string, Map<string, VisitorCallback>>

- Defined in src/ast/visitor.ts:233

### ObjectMap

ObjectMap<T>: {}

- Defined in src/ast/visitor.ts:30

#### Type parameters

- #### T = any

#### Type declaration

- ##### [key: string]: T

### VisitorCallback

VisitorCallback: (_context: Context) => void

- Defined in src/ast/visitor.ts:234

#### Type declaration

- - (_context: Context): void

  - #### Parameters

    - ##### _context: Context

    #### Returns void

Generated using TypeDoc